from peewee import *

database = Proxy()


class UnknownField(object):
    def __init__(self, *_, **__): pass


class BaseModel(Model):
    class Meta:
        database = database


class CoronaCountry(BaseModel):
    country_region = TextField(primary_key=True)
    quelle = TextField(null=True)

    class Meta:
        table_name = 'corona_country'


class CoronaDaten(BaseModel):
    active = IntegerField(null=True)
    confirmed = IntegerField(null=True)
    country_region = TextField()
    deaths = IntegerField(null=True)
    quelle = TextField(null=True)
    recoverd = IntegerField(null=True)
    ts = DateTimeField()

    class Meta:
        table_name = 'corona_daten'
        indexes = (
            (('ts', 'country_region'), True),
        )
        primary_key = CompositeKey('country_region', 'ts')


def create_tables():
    database.create_tables([CoronaCountry, CoronaDaten])



